using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.json.WorkItems;

internal class Attribute
{

    [JsonConstructor]
    public Attribute(bool isLocked,
                     string name)
    {
        IsLocked = isLocked;
        Name = name;
    }

    [JsonPropertyName("isLocked")] public bool IsLocked { get; }
    [JsonPropertyName("name")] public string Name { get; }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Attribute))]
internal partial class AttributeSourceGenerationContext : JsonSerializerContext
{
}