using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.json.WorkItems;

internal class Avatar
{

    [JsonConstructor]
    public Avatar(
        string href
    ) => Href = href;

    [JsonPropertyName("href")] public string Href { get; }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Avatar))]
internal partial class AvatarSourceGenerationContext : JsonSerializerContext
{
}