using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.json.WIQL;

internal class Column
{

    [JsonConstructor]
    public Column(
        string referenceName,
        string name,
        string url
    )
    {
        ReferenceName = referenceName;
        Name = name;
        Url = url;
    }

    [JsonPropertyName("referenceName")] public string ReferenceName { get; }
    [JsonPropertyName("name")] public string Name { get; }
    [JsonPropertyName("url")] public string Url { get; }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Column))]
internal partial class ColumnSourceGenerationContext : JsonSerializerContext
{
}