using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.json.WorkItems;

internal class Html
{

    [JsonConstructor]
    public Html(
        string href
    ) => Href = href;

    [JsonPropertyName("href")] public string Href { get; }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Html))]
internal partial class HtmlSourceGenerationContext : JsonSerializerContext
{
}