using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.json.WorkItems;

internal class Links
{

    [JsonConstructor]
    public Links(
        Avatar avatar
    ) => Avatar = avatar;

    [JsonPropertyName("avatar")] public Avatar Avatar { get; }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Links))]
internal partial class LinksSourceGenerationContext : JsonSerializerContext
{
}